Class | Yajl::Bzip2::StreamReader
In: | lib/yajl/bzip2/stream_reader.rb
Parent: | ::Bzip2::Reader

This is a wrapper around Bzip::Reader to allow it‘s read method to adhere to the IO spec, allowing for two parameters (length, and buffer)

### Methods

parse read

### Public Class methods

parse(input, options={}, buffer_size=nil, &block)

Helper method for one-off parsing from a bzip2-compressed stream

See Yajl::Parser#parse for parameter documentation

### Public Instance methods

read(len=nil, buffer=nil)

A helper method to allow use similar to IO#read

[Validate]